unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  ComCtrls, StdCtrls, Math;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Image1: TImage;
    Image2: TImage;
    Label10: TLabel;
    Label11: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var d,u, A: real;
begin
  d := StrToFloat(Edit1.Text);
  u := Pi*d;
  A := Pi/4*Power(d,2);
  Edit2.Text:= FloatToStrF(A,ffFixed,6,2) + ' cm²';
  Edit3.Text:= FloatToStrF(u,ffFixed,6,2) + ' cm';
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Edit1.Clear;
  Edit2.Clear;
  Edit3.Clear;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.Button4Click(Sender: TObject);
var r1, r2, u, F, a: real;
begin
  r2 := StrToFloat(Edit4.Text);
  r1 := StrToFloat(Edit5.Text);
  a := r1-r2;
  u := 2*Pi*(r1+r2);
  F := Pi*(Power(r1,2)-Power(r2,2));
  Edit6.Text:= FloatToStrF(a,ffFixed,6,2) + ' cm';
  Edit7.Text:= FloatToStrF(u,ffFixed,6,2) + ' cm';
  Edit8.Text:= FloatToStrF(F,ffFixed,6,2) + ' cm²';
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Edit4.Clear;
  Edit5.Clear;
  Edit6.Clear;
  Edit7.Clear;
  Edit8.Clear;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  close;
end;

end.

